## org.eclipse.uml2.uml.util
Class UMLUtil.Ecore2UMLConverter

    java.lang.Object
      org.eclipse.emf.ecore.util.Switch<T>
          org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>
              org.eclipse.uml2.uml.util.UMLUtil.Ecore2UMLConverter

All Implemented Interfaces:
  UML2Util.Converter

Enclosing class:
  UMLUtil

    public static class UMLUtil.Ecore2UMLConverter

extends org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>
implements UML2Util.Converter

A converter that converts Ecore model elements to representative UML elements.

Nested Class Summary
`protected class` `UMLUtil.Ecore2UMLConverter.ParameterSubstitutionMatcher`

Field Summary
`static int` `ANNOTATION_DETAILS` The diagnostic code for cases where annotation details are encountered.
`static int` `BODY_ANNOTATION` The diagnostic code for cases where body annotations are encountered.
`protected java.util.Map<java.lang.Object,java.lang.Object>` `context`
`protected org.eclipse.emf.common.util.DiagnosticChain` `diagnostics`
`static int` `DOCUMENTATION_ANNOTATION` The diagnostic code for cases where documentation annotations are encountered.
`static int` `ECORE_TAGGED_VALUE` The diagnostic code for cases where an Ecore tagged value is encountered.
`protected java.util.Map<org.eclipse.emf.ecore.EModelElement,Element>` `eModelElementToElementMap`
`protected java.util.Collection<org.eclipse.emf.ecore.EPackage>` `ePackages`
`static java.lang.String` `OPTION__ANNOTATION_DETAILS` The option for handling cases where annotation details are encountered.
`static java.lang.String` `OPTION__BODY_ANNOTATIONS` The option for handling cases where body annotations are encountered.
`static java.lang.String` `OPTION__DOCUMENTATION_ANNOTATIONS` The option for handling cases where documentation annotations are encountered.
`static java.lang.String` `OPTION__ECORE_TAGGED_VALUES` The option for handling cases where an Ecore tagged value is encountered.
`static java.lang.String` `OPTION__REDEFINES_ANNOTATIONS` The option for handling cases where a `redefines` annotation is encountered.
`static java.lang.String` `OPTION__SUBSETS_ANNOTATIONS` The option for handling cases where a `subsets` annotation is encountered.
`static java.lang.String` `OPTION__UNION_ANNOTATIONS` The option for handling cases where a `union` annotation is encountered.
`protected java.util.Map<java.lang.String,java.lang.String>` `options`
`static int` `REDEFINES_ANNOTATION` The diagnostic code for cases where a `redefines` annotation is encountered.
`static int` `SUBSETS_ANNOTATION` The diagnostic code for cases where a `subsets` annotation is encountered.
`static int` `UNION_ANNOTATION` The diagnostic code for cases where a `union` annotation is encountered.

Fields inherited from class org.eclipse.emf.ecore.util.EcoreSwitch
`modelPackage`

Constructor Summary
`UMLUtil.Ecore2UMLConverter()`

Method Summary
`java.lang.Object` `caseEAttribute(org.eclipse.emf.ecore.EAttribute eAttribute)`
`java.lang.Object` `caseEClass(org.eclipse.emf.ecore.EClass eClass)`
`java.lang.Object` `caseEDataType(org.eclipse.emf.ecore.EDataType eDataType)`
`java.lang.Object` `caseEEnum(org.eclipse.emf.ecore.EEnum eEnum)`
`java.lang.Object` `caseEEnumLiteral(org.eclipse.emf.ecore.EEnumLiteral eEnumLiteral)`
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement eModelElement)`
`java.lang.Object` `caseEOperation(org.eclipse.emf.ecore.EOperation eOperation)`
`java.lang.Object` `caseEPackage(org.eclipse.emf.ecore.EPackage ePackage)`
`java.lang.Object` `caseEParameter(org.eclipse.emf.ecore.EParameter eParameter)`
`java.lang.Object` `caseEReference(org.eclipse.emf.ecore.EReference eReference)`
`java.lang.Object` `caseETypedElement(org.eclipse.emf.ecore.ETypedElement eTypedElement)`
`java.lang.Object` `caseETypeParameter(org.eclipse.emf.ecore.ETypeParameter eTypeParameter)`

`java.util.Collection<? extends org.eclipse.emf.ecore.EObject>`

`convert(java.util.Collection<? extends org.eclipse.emf.ecore.EObject> eObjects, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
Converts the specified objects using the specified options, reporting problems to the specified diagnostics, within the specified context.

`protected Classifier` `createGenericType(org.eclipse.emf.ecore.EModelElement eModelElement, org.eclipse.emf.ecore.EGenericType eGenericType, org.eclipse.emf.ecore.EClassifier eClassifier)`
`protected TemplateBinding` `createTemplateBinding(org.eclipse.emf.ecore.EModelElement eModelElement, org.eclipse.emf.ecore.EGenericType eGenericType, org.eclipse.emf.ecore.EClassifier eClassifier)`
`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject eObject)`
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject eObject)`
`protected PrimitiveType` `getEcorePrimitiveType(org.eclipse.emf.ecore.EModelElement eModelElement, java.lang.String name)`
`protected Model` `getEcorePrimitiveTypesLibrary(org.eclipse.emf.ecore.EModelElement eModelElement)`
`protected Profile` `getEcoreProfile(org.eclipse.emf.ecore.EModelElement eModelElement)`
`protected Profile` `getEcoreProfile(org.eclipse.emf.ecore.EObject eObject)`
`protected Stereotype` `getEcoreStereotype(org.eclipse.emf.ecore.EModelElement eModelElement, java.lang.String name)`
`protected Stereotype` `getEcoreStereotype(org.eclipse.emf.ecore.EObject eObject, java.lang.String name)`
`protected java.lang.String` `getGenericTypeName(org.eclipse.emf.ecore.EGenericType eGenericType)`
`protected org.eclipse.emf.common.util.EList<Type>` `getOwnedTypes(org.eclipse.emf.ecore.EModelElement eModelElement)`
`protected Type` `getType(org.eclipse.emf.ecore.EModelElement eModelElement, org.eclipse.emf.ecore.EClassifier eType)`
`protected Type` `getType(org.eclipse.emf.ecore.EModelElement eModelElement, org.eclipse.emf.ecore.EGenericType eGenericType)`
`protected Type` `getType(org.eclipse.emf.ecore.EModelElement eModelElement, org.eclipse.emf.ecore.ETypeParameter eTypeParameter)`
`protected Type` `getType(org.eclipse.emf.ecore.ETypedElement eTypedElement)`
`protected PrimitiveType` `getXMLPrimitiveType(org.eclipse.emf.ecore.EModelElement eModelElement, java.lang.String name)`
`protected Model` `getXMLPrimitiveTypesLibrary(org.eclipse.emf.ecore.EModelElement eModelElement)`
`protected boolean` `isTemplate(org.eclipse.emf.ecore.EClassifier eClassifier)`
`protected void` `processAnnotationDetails(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processBodyAnnotation(Operation operation, java.lang.String language, java.lang.String body, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processBodyAnnotations(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processDocumentationAnnotations(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValue(Element element, Stereotype stereotype, java.lang.String propertyName, org.eclipse.emf.ecore.EModelElement eModelElement, org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(Element element, org.eclipse.emf.ecore.EClassifier eClassifier, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(Element element, org.eclipse.emf.ecore.EEnumLiteral eEnumLiteral, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(Element element, org.eclipse.emf.ecore.EEnum eEnum, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(Element element, org.eclipse.emf.ecore.EGenericType eGenericType, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(Element element, org.eclipse.emf.ecore.EOperation eOperation, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(Element element, org.eclipse.emf.ecore.EPackage ePackage, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(Element element, org.eclipse.emf.ecore.EParameter eParameter, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(Element element, org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(Element element, org.eclipse.emf.ecore.ETypeParameter eTypeParameter, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processOptions(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processRedefinesAnnotations(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processSubsetsAnnotations(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processUnionAnnotations(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreSwitch
`caseEAnnotation, caseEClassifier, caseEFactory, caseEGenericType, caseENamedElement, caseEStringToStringMapEntry, caseEStructuralFeature, doSwitch, isSwitchFor`

Methods inherited from class org.eclipse.emf.ecore.util.Switch
`doSwitch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION__ECORE_TAGGED_VALUES

    public static final java.lang.String OPTION__ECORE_TAGGED_VALUES

  The option for handling cases where an Ecore tagged value is encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__REDEFINES_ANNOTATIONS

    public static final java.lang.String OPTION__REDEFINES_ANNOTATIONS

  The option for handling cases where a `redefines` annotation is encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__SUBSETS_ANNOTATIONS

    public static final java.lang.String OPTION__SUBSETS_ANNOTATIONS

  The option for handling cases where a `subsets` annotation is encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__UNION_ANNOTATIONS

    public static final java.lang.String OPTION__UNION_ANNOTATIONS

  The option for handling cases where a `union` annotation is encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__ANNOTATION_DETAILS

    public static final java.lang.String OPTION__ANNOTATION_DETAILS

  The option for handling cases where annotation details are encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__BODY_ANNOTATIONS

    public static final java.lang.String OPTION__BODY_ANNOTATIONS

  The option for handling cases where body annotations are encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__DOCUMENTATION_ANNOTATIONS

    public static final java.lang.String OPTION__DOCUMENTATION_ANNOTATIONS

  The option for handling cases where documentation annotations are encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### ECORE_TAGGED_VALUE

    public static final int ECORE_TAGGED_VALUE

  The diagnostic code for cases where an Ecore tagged value is encountered.

  See Also:
    Constant Field Values

### REDEFINES_ANNOTATION

    public static final int REDEFINES_ANNOTATION

  The diagnostic code for cases where a `redefines` annotation is encountered.

  See Also:
    Constant Field Values

### SUBSETS_ANNOTATION

    public static final int SUBSETS_ANNOTATION

  The diagnostic code for cases where a `subsets` annotation is encountered.

  See Also:
    Constant Field Values

### UNION_ANNOTATION

    public static final int UNION_ANNOTATION

  The diagnostic code for cases where a `union` annotation is encountered.

  See Also:
    Constant Field Values

### ANNOTATION_DETAILS

    public static final int ANNOTATION_DETAILS

  The diagnostic code for cases where annotation details are encountered.

  See Also:
    Constant Field Values

### BODY_ANNOTATION

    public static final int BODY_ANNOTATION

  The diagnostic code for cases where body annotations are encountered.

  See Also:
    Constant Field Values

### DOCUMENTATION_ANNOTATION

    public static final int DOCUMENTATION_ANNOTATION

  The diagnostic code for cases where documentation annotations are encountered.

  See Also:
    Constant Field Values

### eModelElementToElementMap

    protected final java.util.Map<org.eclipse.emf.ecore.EModelElement,Element> eModelElementToElementMap

### ePackages

    protected java.util.Collection<org.eclipse.emf.ecore.EPackage> ePackages

### options

    protected java.util.Map<java.lang.String,java.lang.String> options

### diagnostics

    protected org.eclipse.emf.common.util.DiagnosticChain diagnostics

### context

    protected java.util.Map<java.lang.Object,java.lang.Object> context

Constructor Detail

### UMLUtil.Ecore2UMLConverter

    public UMLUtil.Ecore2UMLConverter()

Method Detail

### getEcorePrimitiveTypesLibrary

    protected Model getEcorePrimitiveTypesLibrary(org.eclipse.emf.ecore.EModelElement eModelElement)

### getXMLPrimitiveTypesLibrary

    protected Model getXMLPrimitiveTypesLibrary(org.eclipse.emf.ecore.EModelElement eModelElement)

### getEcorePrimitiveType

    protected PrimitiveType getEcorePrimitiveType(org.eclipse.emf.ecore.EModelElement eModelElement,
                                                  java.lang.String name)

### getXMLPrimitiveType

    protected PrimitiveType getXMLPrimitiveType(org.eclipse.emf.ecore.EModelElement eModelElement,
                                                java.lang.String name)

### isTemplate

    protected boolean isTemplate(org.eclipse.emf.ecore.EClassifier eClassifier)

### getType

    protected Type getType(org.eclipse.emf.ecore.EModelElement eModelElement,
                           org.eclipse.emf.ecore.EClassifier eType)

### getType

    protected Type getType(org.eclipse.emf.ecore.EModelElement eModelElement,
                           org.eclipse.emf.ecore.ETypeParameter eTypeParameter)

### getType

    protected Type getType(org.eclipse.emf.ecore.EModelElement eModelElement,
                           org.eclipse.emf.ecore.EGenericType eGenericType)

### getType

    protected Type getType(org.eclipse.emf.ecore.ETypedElement eTypedElement)

### getOwnedTypes

    protected org.eclipse.emf.common.util.EList<Type> getOwnedTypes(org.eclipse.emf.ecore.EModelElement eModelElement)

### getGenericTypeName

    protected java.lang.String getGenericTypeName(org.eclipse.emf.ecore.EGenericType eGenericType)

### createGenericType

    protected Classifier createGenericType(org.eclipse.emf.ecore.EModelElement eModelElement,
                                           org.eclipse.emf.ecore.EGenericType eGenericType,
                                           org.eclipse.emf.ecore.EClassifier eClassifier)

### createTemplateBinding

    protected TemplateBinding createTemplateBinding(org.eclipse.emf.ecore.EModelElement eModelElement,
                                                    org.eclipse.emf.ecore.EGenericType eGenericType,
                                                    org.eclipse.emf.ecore.EClassifier eClassifier)

### caseEAttribute

    public java.lang.Object caseEAttribute(org.eclipse.emf.ecore.EAttribute eAttribute)

  Overrides:
    `caseEAttribute` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseEClass

    public java.lang.Object caseEClass(org.eclipse.emf.ecore.EClass eClass)

  Overrides:
    `caseEClass` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseEDataType

    public java.lang.Object caseEDataType(org.eclipse.emf.ecore.EDataType eDataType)

  Overrides:
    `caseEDataType` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseEEnum

    public java.lang.Object caseEEnum(org.eclipse.emf.ecore.EEnum eEnum)

  Overrides:
    `caseEEnum` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseEEnumLiteral

    public java.lang.Object caseEEnumLiteral(org.eclipse.emf.ecore.EEnumLiteral eEnumLiteral)

  Overrides:
    `caseEEnumLiteral` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement eModelElement)

  Overrides:
    `caseEModelElement` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseEOperation

    public java.lang.Object caseEOperation(org.eclipse.emf.ecore.EOperation eOperation)

  Overrides:
    `caseEOperation` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseEPackage

    public java.lang.Object caseEPackage(org.eclipse.emf.ecore.EPackage ePackage)

  Overrides:
    `caseEPackage` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseEParameter

    public java.lang.Object caseEParameter(org.eclipse.emf.ecore.EParameter eParameter)

  Overrides:
    `caseEParameter` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseEReference

    public java.lang.Object caseEReference(org.eclipse.emf.ecore.EReference eReference)

  Overrides:
    `caseEReference` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseETypedElement

    public java.lang.Object caseETypedElement(org.eclipse.emf.ecore.ETypedElement eTypedElement)

  Overrides:
    `caseETypedElement` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### caseETypeParameter

    public java.lang.Object caseETypeParameter(org.eclipse.emf.ecore.ETypeParameter eTypeParameter)

  Overrides:
    `caseETypeParameter` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject eObject)

  Overrides:
    `defaultCase` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject eObject)

  Overrides:
    `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<java.lang.Object>`

### getEcoreProfile

    protected Profile getEcoreProfile(org.eclipse.emf.ecore.EModelElement eModelElement)

### getEcoreProfile

    protected Profile getEcoreProfile(org.eclipse.emf.ecore.EObject eObject)

### getEcoreStereotype

    protected Stereotype getEcoreStereotype(org.eclipse.emf.ecore.EModelElement eModelElement,
                                            java.lang.String name)

### getEcoreStereotype

    protected Stereotype getEcoreStereotype(org.eclipse.emf.ecore.EObject eObject,
                                            java.lang.String name)

### processEcoreTaggedValue

    protected void processEcoreTaggedValue(Element element,
                                           Stereotype stereotype,
                                           java.lang.String propertyName,
                                           org.eclipse.emf.ecore.EModelElement eModelElement,
                                           org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature,
                                           java.util.Map<java.lang.String,java.lang.String> options,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(Element element,
                                            org.eclipse.emf.ecore.EPackage ePackage,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(Element element,
                                            org.eclipse.emf.ecore.EClassifier eClassifier,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(Element element,
                                            org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(Element element,
                                            org.eclipse.emf.ecore.EGenericType eGenericType,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(Element element,
                                            org.eclipse.emf.ecore.ETypeParameter eTypeParameter,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(Element element,
                                            org.eclipse.emf.ecore.EEnum eEnum,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(Element element,
                                            org.eclipse.emf.ecore.EEnumLiteral eEnumLiteral,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(Element element,
                                            org.eclipse.emf.ecore.EOperation eOperation,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(Element element,
                                            org.eclipse.emf.ecore.EParameter eParameter,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processRedefinesAnnotations

    protected void processRedefinesAnnotations(java.util.Map<java.lang.String,java.lang.String> options,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

### processSubsetsAnnotations

    protected void processSubsetsAnnotations(java.util.Map<java.lang.String,java.lang.String> options,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map<java.lang.Object,java.lang.Object> context)

### processUnionAnnotations

    protected void processUnionAnnotations(java.util.Map<java.lang.String,java.lang.String> options,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

### processBodyAnnotation

    protected void processBodyAnnotation(Operation operation,
                                         java.lang.String language,
                                         java.lang.String body,
                                         java.util.Map<java.lang.String,java.lang.String> options,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map<java.lang.Object,java.lang.Object> context)

### processBodyAnnotations

    protected void processBodyAnnotations(java.util.Map<java.lang.String,java.lang.String> options,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

### processDocumentationAnnotations

    protected void processDocumentationAnnotations(java.util.Map<java.lang.String,java.lang.String> options,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### processAnnotationDetails

    protected void processAnnotationDetails(java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processOptions

    protected void processOptions(java.util.Map<java.lang.String,java.lang.String> options,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### convert

    public java.util.Collection<? extends org.eclipse.emf.ecore.EObject> convert(java.util.Collection<? extends org.eclipse.emf.ecore.EObject> eObjects,
                                                                                 java.util.Map<java.lang.String,java.lang.String> options,
                                                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  Description copied from interface: `UML2Util.Converter`
  Converts the specified objects using the specified options, reporting problems to the specified diagnostics, within the specified context.

  Specified by:
    `convert` in interface `UML2Util.Converter`
  Parameters:
    `eObjects` - The objects to be converted.
    `options` - The options to use.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.
  Returns:
    Another representation of the objects.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.